# (C) 2001 Romuald Texier
# $Id: pagelayout.html.inc,v 1.2 2001/02/04 15:20:54 kasour Exp $

# page layout and HTML intros

# we include i18n here, so other files do not have to do
Include: i18n.any.inc


# Adresses of publishers, for footer.

Global: PublisherAddress
{ 'eliKya': '4 rue Duguesclin, F-35000 Rennes, Europa',
  'Romuald Texier': 'eliKya' }

# Keep the paratext (basic informations on the XML document) as public xtrans attributes
Function: SetParatext author, publisher, kwords, title, subtitle
    xtrans.author = author
    xtrans.publisher = publisher
    xtrans.keywords = kwords
    xtrans.title = title
    xtrans.subtitle = subtitle

# function OpenPage write an HTML header to the output, based on paratext content,
# build the decorations and navigation. The params up, previous and next are path to original xml
# files. The fstyle (front style) is either "reg" (regular) or "dec" (more decorated)
# The title argument is the window title.



Function: OpenPage fstyle, title, home, up=None, previous=None, next=None
    bb = """<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<META NAME="AUTHOR" CONTENT="%s">
<META NAME="COPYRIGHT" CONTENT="%s">
<META NAME="KEYWORDS" CONTENT="%s">
<META NAME="GENERATOR" CONTENT="%s">
<!-- Original XML file is %s ; xtrans file is %s ; date is %s -->
<TITLE>%s</TITLE>
<LINK REL=STYLESHEET TYPE="text/css" HREF="../manstyle.css">
</HEAD>
<BODY background="../gfx/sty/stone.gif"  marginwidth="0" marginheight="0">
<TABLE WIDTH="100%%" BORDER="0" CELLSPACING="0" CELLPADDING="3" BGCOLOR="#003322">
<TR><TD ALIGN="left">"""
    be = """</TD><TD ALIGN="right">
<A CLASS="topbar" HREF="mailto:mydevel@free.fr">"""+xtrans.GetMess("email us")+"""</A>
</TD></TR></TABLE><BR>
<HR ALIGN="center" width="20%%">
<HR ALIGN="center" width="50%%">"""
    # build the topbar
    topbar_entry = '<A CLASS="topbar" HREF="[%s]">%s</A> | '
    topbar = "";
    for entry in (home, up, previous, next):
        if entry:
            topbar = topbar + topbar_entry % (entry, xtrans.GetMess(os.path.basename(entry)[:-4]))
    # output everything
    xtrans.fstyle = fstyle
    xtrans.output.write( (bb + topbar + be)  % (xtrans.author, xtrans.publisher, xtrans.keywords,
      xtrans.generator, xtrans.xmlsource, xtrans.xtranssource, xtrans.date, title))


Postmacro: NAVICONTEXT
    filenum = len(xtrans.labels)
    if filenum < 11:
        for f in range(filenum):
            if f == currentfileno:
                xtrans.output.write ('<TD ALIGN="left"><SPAN CLASS="bar">%s</SPAN></TD>' % xtrans.labels[f])
            else:
                xtrans.output.write ('<TD ALIGN="left"><A CLASS="bar" HREF="%s">%s</A></TD>' % (xtrans.filenames[f], xtrans.labels[f]))
    else:
        if currentfileno > 0:
            i = currentfileno - 1
            xtrans.output.write('<TD ALIGN="left"><A CLASS="bar" HREF="%s">%s</A></TD>' % (xtrans.filenames[i], xtrans.labels[i]))
        xtrans.output.write ('<TD ALIGN="left"><SPAN CLASS="bar">%s</SPAN></TD>' % xtrans.labels[currentfileno])
        if currentfileno < len(xtrans.filenames) -1:
            i = currentfileno + 1
            xtrans.output.write('<TD ALIGN="left"><A CLASS="bar" HREF="%s">%s</A></TD>' % (xtrans.filenames[i], xtrans.labels[i]))
        # direct access
        xtrans.output.write("""<TD ALIGN="right"><FORM NAME="nav"><DIV CLASS="select">
<SELECT NAME="SelectURL" onChange="document.location.href=document.nav.SelectURL.options[document.nav.SelectURL.selectedIndex].value">""")
        for f in range(filenum):
            if f == currentfileno:
                xtrans.output.write ('<OPTION VALUE="%s" SELECTED>%s</OPTION>' % (xtrans.filenames[f],xtrans.labels[f]))
            else:
                xtrans.output.write ('<OPTION VALUE="%s">%s</OPTION>' % (xtrans.filenames[f], xtrans.labels[f]))
        xtrans.output.write("</SELECT></DIV></FORM></TD>")



Function: BeginBody
    xtrans.output.write("""
<HR ALIGN="center" width="50%">
<HR ALIGN="center" width="20%">
<BR>

<TABLE WIDTH="95%" ALIGN="center" BORDER="1" CELLSPACING="0" CELLPADDING="0">
""")
    if xtrans.fstyle == "reg":
        xtrans.output.write("""
<TR><TD BGCOLOR="#A1D0C6">
<TABLE border="0" width="100%">
<TR>[NAVICONTEXT]
</TR></TABLE>
</TD></TR>""")
    xtrans.output.write("""
<TR><TD BGCOLOR="#FFFFFF">

<TABLE ALIGN=center WIDTH="95%"><TR><TD>
""")

Function: ClosePage
    xtrans.output.write("""
</TD></TR></TABLE>
</TD></TR></TABLE>
<BR><HR ALIGN="center" width="50%%">
<DIV CLASS="footer">&copy; 2000 <B>%s, %s</B>, %s.<BR>Generated with eXtrans tools (Linux) on %s</DIV>
<P>&nbsp;</P>
<DIV CLASS="nostyle"><STRONG>If you see this message, it means that your browser does not enable "style sheets".
Please enable the style sheets in your browser options or preferences</STRONG> (note that you may have to enable JavaScript too).</DIV>
</BODY>
</HTML>""" % (xtrans.author, xtrans.publisher, xtrans.PublisherAddress[xtrans.publisher], xtrans.date))

